﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace datepicker
{
    public class datepickerpage : ContentPage
    {
        protected override void OnAppearing()
        {
            Picker pickerForm = new Picker();
            SfDataForm form = new SfDataForm()
            {
                HeightRequest = 150,
                LabelWidth = 2,
                EditorWidth = 2,
                CommitMode = CommitMode.PropertyChanged,
                NotifyPropertyChanges = true
            };
            form.LayoutManager = new FormLayoutManager(form);
            form.DataObject = pickerForm;
            var layout = new StackLayout()
            {
                Margin = new Thickness(10, 100, 10, 20),
                Spacing = 5,
            };
            layout.Children.Add(new Label()
            {
                Text = "Date Picker Showing Wrong Date => Timezone issue?",
                TextColor = Color.Black
            });
            layout.Children.Add(form);

            Content = layout;
        }

        public class FormLayoutManager : DataFormLayoutManager
        {
            public FormLayoutManager(SfDataForm dataForm) : base(dataForm)
            {

            }

            protected override View GenerateViewForLabel(DataFormItem dataFormItem)
            {
                var view = base.GenerateViewForLabel(dataFormItem);
                (view as Label).TextColor = Color.Black;
                return view;
            }

            protected override void OnEditorCreated(DataFormItem dataFormItem, View editor)
            {              
                if (editor is DatePicker)
                {
                    (editor as DatePicker).TextColor = Color.Black;
                    (editor as DatePicker).Format = "MMM dd yyyy";
                }
            }
        }

    }
}
